import sys
import os
from pip._internal.utils.virtualenv import running_under_virtualenv
from pip._internal.utils.compat import expanduser

CONNECTOR_PACKAGES_PATH='/opt/cyops/configs/integrations/packages'

def normalize_path(path, resolve_symlinks=True):
    # type: (str, bool) -> str
    """
    Convert a path to its canonical, case-normalized, absolute version.

    """
    path = expanduser(path)
    if resolve_symlinks:
        path = os.path.realpath(path)
    else:
        path = os.path.abspath(path)
    return os.path.normcase(path)

def is_local(path):
    # type: (str) -> bool
    """
    Return True if path is within sys.prefix, if we're running in a virtualenv.

    If we're not in a virtualenv, all paths are considered "local."

    Caution: this function assumes the head of path has been normalized
    with normalize_path.
    """
    if not running_under_virtualenv():
        return True
    if path.startswith(CONNECTOR_PACKAGES_PATH):
        return True
    return path.startswith(normalize_path(sys.prefix))